#include<bits/stdc++.h>
using namespace std;
long long t,a,b,k,l,xoro;
bool prov;
int main()
{
    cin>>t;
    while(t--)
    {
        prov=false;
        cin>>a>>b;
        for(int i=1;i<=a;i++)
        {
            for(int j=1;j<=a;j++)
            {
                xoro=i^j;
                if(i*j==a and xoro==b)
                {
                    k=i;
                    l=j;
                    prov=true;
                    break;
                }
            }
            if(prov)
            {
                cout<<k<<" "<<l<<endl;
                break;
            }
        }
        if(!prov)
        {
            cout<<"-1"<<endl;
        }
    }
    return 0;
}